OSVDB ID: 86400

Title: BBPress Plugin for WordPress wp-content/plugins/bbpress/forum.php page Parameter SQL Injection

Info

Disclosure

Aug 31, 2012

Discovery

Unknown

Dates

Exploit

Unknown

Solution

Unknown

Description

BBPress Plugin for WordPress contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the wp-content/plugins/bbpress/forum.php script not properly sanitizing user-supplied input to the 'page' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database, allowing for the manipulation or disclosure of arbitrary data.

Classification

Location: Remote / Network Access
Attack Type: Input Manipulation
Impact: Loss of Integrity
Solution: Solution Unknown
Exploit: Exploit Public
Disclosure: Third-party Disputed, Uncoordinated Disclosure
OSVDB: Web Related

Solution

OSVDB is not aware of a solution for this vulnerability. It has been reported that this is not a valid vulnerability. If this is the case, no solution is necessary.

Products

John James Jacoby and Matt Millenweg

BBPress Plugin for WordPress

Unspecified

References

Credit

Unknown or Incomplete



Direct URL: http://osvdb.org/86400